%define 	plugindir %{_libdir}/mozilla/plugins
%define 	name	pkcs11-helper
%define 	version	1.02
%define 	release	1
%define 	prefix	/usr

Summary: 	pkcs11-helper is a helper library for the use with smart cards and the PKCS#11 API
Name:		%{name}
Version:	%{version}
Release:	%{release}%{dist}
License:	GPL/BSD
Vendor: 	StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://alon.barlev.googlepages.com/open-source/
Source0:	http://alon.barlev.googlepages.com/%{name}-%{version}.tar.bz2
Source1:	http://alon.barlev.googlepages.com/%{name}-doc-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:  opensc-devel
BuildRequires:  openssl-devel >= 0.9.7a
Requires:	opensc >= 0.6.6
Requires:	openssl >= 0.9.7a
Provides: 	%{name} = %{version}


%description
pkcs11-helper allows using multiple PKCS#11 providers at the same 
time, selecting keys by id, label or certificate subject, handling 
card removal and card insert events, handling card re-insert to a 
different slot, supporting session expiration serialization and much 
more, all using a simple API.


%package        devel
Summary:        pkcs11-helper development files
Group:          Development/Libraries
Requires:       %{name} >= %{version}
Requires:       pkgconfig

%description    devel
pkcs11-helper development files.


%prep
%setup -q %SOURCE0

%build

%configure -q \
	--disable-rpath 

#	--without-crypto-engine-openssl \
#	--without-crypto-engine-gnutls \
#	--disable-dependency-tracking \
%ifarch x86_64
%{__perl} -pi -e "s:= /usr/lib64/pkgconfig:= \$(DESTDIR)/usr/lib64/pkgconfig:g" lib/Makefile
%else
%{__perl} -pi -e "s:= /usr/lib/pkgconfig:= \$(DESTDIR)/usr/lib/pkgconfig:g" lib/Makefile
%endif

make %{?_smp_mflags}


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall 
#DESTDIR=$RPM_BUILD_ROOT
install -d doc/api/ $RPM_BUILD_ROOT/%{_docdir}/pkcs11-helper-%{version}/



%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%{_libdir}/*
%{_mandir}/*

%files devel
%defattr(-,root,root,-)
%{_docdir}/*
%{_includedir}/*


%changelog
* Sun Nov 26 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Initial build for StartCom Linux 5.0.x


